# Method SDL.Surface()->set_pixel()

Method set_pixel

  ``int` set_pixel(`int` `x`, `int` `y`, `int` `pixel`)`

Description

  Set the value of the specified pixel. The surface needs to be locked before this method can be used.

Parameter `x`
Parameter `y`

  Pixel coordinate to modify.

Parameter `pixel`

  Pixel value to set to the specified pixel.

Returns

  A reference to the surface itself.

See also

  get_pixel(), unlock(), lock()